# Generated from gitlab-swat-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gitlab-swat

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: ChatOps Cog Bundle that enables admins to remotely run predefined scripts in a rails console
License: MIT
URL: https://gitlab.com/gitlab-cog/swat
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.42
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(simplecov) >= 0.13
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
A Successful Deployment Ends Peacefully With No Bullets Fired.
If That’s Simply Not Possible, SWAT Uses Special Weapons and Tactics to Keep
the Public Safe
GitLab-Swat allows admins to quickly deploy scripts that can be remotely
executed through a rails console
Enabling fast action by using an external git repository as the scripts
source, but keeping safety high by
enforcing a prepare-pre check-execute model that allows execution break at any
stage if things are not going
as expected.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/cog-command
%{gem_instdir}/config.yaml
%{gem_libdir}
%{gem_instdir}/scripts
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/gitlab_swat.gemspec
%{gem_instdir}/spec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.1.3-1
- Initial package
